package io.hmit.modules.fhjw.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.CrudService;
import io.hmit.modules.fhjw.dto.FhjwCaseDTO;
import io.hmit.modules.fhjw.dto.FhjwCommentDTO;
import io.hmit.modules.fhjw.entity.FhjwCaseEntity;

import java.util.Map;

/**
 * 案件表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
public interface FhjwCaseService extends CrudService<FhjwCaseEntity, FhjwCaseDTO> {
    @Override
    PageData<FhjwCaseDTO> page(Map<String, Object> params);

    FhjwCaseDTO assembleUserList(Long caseId);

    FhjwCaseDTO getByCaseNum(String caseNum,String peopleName);

    @Override
    void delete(Long[] ids);

    @Override
    void save(FhjwCaseDTO dto);

}
